Get messages between a creator and a user

Returns a paginated list of text messages between the specified creator and user. Messages are ordered by creation date (newest first). <Info>Scopes required: `read:creator`, `read:chat`</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

creatorUserUuidstringRequiredformat: "uuid"
userUuidstringRequiredformat: "uuid"

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Query parameters

pagedoubleOptional>=1Defaults to 1

Page number to retrieve (starts from 1)

sizedoubleOptional1-50Defaults to 15

Number of items to return per page (1-50, default: 15)

markAsReadenumOptionalDefaults to true
Whether to mark the chat as read after retrieving messages
Allowed values:

Response

List of messages
datalist of objects
Array of messages in the conversation
paginationobject
Pagination information

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
410
Gone Error